@charset "UTF-8";
/* CSS Document */

/*  Iran Chamber Society Main CSS */
        
        body {
            margin: 0;
            padding: 0;
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            font-size: 16px;
            display: flex;
            flex-direction: column;
            align-items: center;
            background-color: #f4f4f4;
            line-height: 1.4;
        }
         
        /* Style for H1 headings */
        h1 {
            color: #00348E;          /* Persian Blue color for the font */
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            font-size: 24px;
            font-style: normal;
            margin-top: 0px;       /* Adds some space above the heading */
            margin-bottom: 0px;    /* Adds some space below the heading */
    }

        /* Style for H2 headings */
        h2 {
            color: #004DD0;          /* Persian Blue color for the font */
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            font-size: 20px;
            font-style: normal;
            line-height: 20px;
            margin-top: 0px;       /* Adds some space above the heading */
            margin-bottom: 0px;    /* Adds some space below the heading */
    }

        /* Title of Articles */
            .article-title {
            color: #00348E; 
            font-size: 18pt;
            font-weight: bold;
            display: block;  /* Zorgt dat de ondertitel op een nieuwe regel begint */
    }        

        /* Subtitle for Title of Articles */
            .under-title {
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            color: #969696;
            font-size: 14px;
            font-style: normal;
            font-stretch: normal;
            font-weight: bold;
            letter-spacing: normal;
            line-height: 12px;
            text-decoration: none;
    }

        /* Under Title of Articles */
            .under-title {
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            color: #969696;
            font-size: 14px;
            font-style: normal;
            font-stretch: normal;
            font-weight: bold;
            letter-spacing: normal;
            line-height: 12px;
            text-decoration: none;
    }

        /* Author of Articles */
            .author {
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            color: #969696;
            font-size: 14px;
            font-style: normal;
            font-stretch: normal;
            font-weight: bold;
            letter-spacing: normal;
            line-height: 12px;
            text-decoration: none;
    }

        /*****  Table Photo & Illustration  *****/
            .photo-box  {
            background: #ebebeb;
            padding-top: 3px;
            padding-left: 2px;
            padding-right: 2px;
            padding-bottom: 2px;
    }

  @media screen and (max-width: 600px) {
    .photo-box {
      float: none !important;
      margin-left: auto !important;
      margin-right: auto !important;
      display: table !important; /* Forces centering */
    }
  }

        /***** Photo Description *****/
            .photo-text {
            color: #5C5C5C; 
            font-size: 11px;
            font-weight: normal;
            margin-top: 0px;
            margin-bottom: 2px; 
            /* display: block;  Zorgt dat de ondertitel op een nieuwe regel begint */
    }

        /* Style for your H3 headings */
        h3 {
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            font-size: 18px;
            color: #004DD0;          /* Dark grey color for the font */
            font-style: italic;
            margin-bottom: 0px;
            margin-top: 10px;       /* Adds some space above the heading */
    }
 
        /* Link styles H3 */
        h3 a {
            color: #303030;          /* Blue link color */
            text-decoration: none;   /* Removes underline */
            transition: 0.1s;        /* Smooth color transition */
    }

        h3 a:hover {
            color: #004DD0;          /* Darker blue on hover */
            text-decoration: underline; /* Adds underline on hover */
    }

        /* Style for your H4 headings */
        h4 {
            color: #004DD0;   
            font-size: 16px;
            font-style: italic;
            margin-top: 10px;    
            margin-bottom: 10px;
    }
        
        /* Link styles H4 */
        h4 a {
            color: #303030;    
            text-decoration: none;
            transition: 0.1s; 
    }

        h4 a:hover {
            color: #004DD0; 
            text-decoration: underline;
    }

        /* subtitle text */
        .subtitle {
            color: #757575; /* Middle gray */
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            font-size: 18px;
            font-weight: bold;
            margin-top: 10px;
            margin-bottom: 20px;
            line-height: 1.4;
            display: block; /* Ensures it stays on its own line */
    }
     
        /* Main Container with 900px limit and border */
        .wrapper {
            max-width: 900px;
            width: 100%;
            border: 1px solid #C9C9C9;
            background-color: #FFF;
            box-sizing: border-box;
        }

        /* First Letter BIG */
        .first-letter {
            font-family : Georgia, "Palatino Linotype", Palatino, serif;
            color : #505050;
            font-size : 20px;
            line-height: 20px;
            float: left;
            padding: 0 1pt 0 0;
            font-weight : bold;
    }

        /* Logo Section */
        .header-logo {
            padding: 20px;
            text-align: left;
        }

        /* Navigation Bar */
        .nav-bar {
            background-color: #2658C1;
            padding: 10px 20px;
            position: relative;
        }
        
        /* Hide Hamburger by default (Desktop) */
        .menu-toggle {
            display: none;
            flex-direction: column;
            cursor: pointer;
            width: 40px;
            gap: 5px;
        }
        .menu-toggle span {
            display: block;
            height: 3px;
            width: 100%;
            background-color: white;
            border-radius: 3px;
        }

        .nav-bar ul {
            list-style: none;
            margin: 0;
            padding: 0;
            display: flex;
            flex-wrap: wrap;
            gap: 15px;
        }
        .nav-bar a {
            color: white;
            text-decoration: none;
            font-size: 15px;
            font-weight: bold;
        }

        /* Hero Image Box */
        .hero-image {
            width: 100%;
            height: auto; /* Desktop Height */
            overflow: hidden;
             
        }
        .hero-image img {
            width: 100%;
            height: auto;                        
            display: block;
}
        
        /* Page Title */
        .title-layer {
            background-color: #FFF;
            padding-top: 10px;
            padding-left: 10px;
            padding-bottom: 25px;
            letter-spacing: 2px;
        }
        .title-layer h1 {
            font-size: 26px;
            font-style: italic;
            color: #666666;
            margin: 0;
        }

        /* Page Title Sub */
        .title-layer-sub {
            background-color: #FFF;
            padding-top: 10px;
            padding-left: 10px;
            padding-bottom: 20px;
            letter-spacing: 1.8px;
        }
        .title-layer-sub h1 {
            font-size: 20px;
            font-weight: bold;
            font-style: italic;
            color: #666666;
            margin: 0;
        }

        /* Content Area & Sidebar */
        .main-body {
            display: block;
        /*  display: flex;  
            flex-wrap: wrap;  */
            overflow: auto;
            background-color: #FFF;
            min-height: 400px;
        }
        .content {
            padding-left: 10px;
            padding-right: 10px;
            padding-top: 10px;
            padding-bottom: 10px;
            display: block;
        }
            .content a {
            font-weight: bold;
            text-decoration: none;
            color: inherit;
        }
            .content a:hover {
            color: #004DD0;
            text-decoration: underline;
        }

        .sidebar-box {
            width: 300px;
            max-width: 100%;
            margin: 20px 0px 0px 20px;
            float: right;
            background-color: #F5F5F5;
            border: 1px solid #C9C9C9;
            padding: 10px;
            box-sizing: border-box;
            font-size: 14px;
            line-height: 1.2;
            height: fit-content; 
            margin-bottom: 20px;
        }
        .sidebar-box a {
            font-weight: bold;
            text-decoration: none;
            color: inherit;
        }

        .sidebar-box a:hover {
            color: #004DD0;
            text-decoration: underline;
        }

        /* SUB-Text */
        .sub-text {
            font-size: 12px;
            line-height: 1.2;
            margin-bottom: 10px;
        }
        .sub-text a {
            font-weight: bold;
            text-decoration: none;
            color: inherit;
        }

        .sub-text a:hover {
            color: #004DD0;
            text-decoration: underline;
        }

        /*  Photos & Illustrations descriptions Font */
        .fontiran2  {
            font-family : Georgia, Palatino Linotype, Palatino, Times, Times New Roman, serif;
            font-size : 10pt;
            color : #323232;
            text-decoration : none;	
        }
        .fontiran2 a  {
            font-family : Georgia, Palatino Linotype, Palatino, Times, Times New Roman, serif;
            font-size : 10pt;
            font-weight : bold;
            color : #323232;
            text-decoration : none;
        }
        .fontiran2 a:hover  {
            font-family : Georgia, Palatino Linotype, Palatino, Times, Times New Roman, serif;
            font-size : 10pt;
            font-weight : bold;
            color : #004DD0;
            text-decoration : underline;
        }

        /* Footer Menu (Outside the border) */
        .footer-menu {
            max-width: 900px;
            width: 100%;
            padding: 15px 0;
            padding-right: 20px;
            text-align: right;
        }
        .footer-menu ul {
            list-style: none;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: flex-end;
            gap: 15px;
        }
        .footer-menu a {
            color: #6B6B6B;
            text-decoration: none;
            font-size: 14px;
        }
        
        /* Copy Right Font */
        .fontcopyright {
            max-width: 900px;
            width: 100%;
            text-align: right;
            font-family: Georgia, "Palatino Linotype", Palatino, serif;
            color: #a0a0a0;
            font-size: 10pt;
            font-style: italic;
            padding-bottom: 15px; 
            padding-right: 30px; 
            line-height: 15pt;
            text-decoration: none;
        }
        
        /* Mobile Responsive Adjustments */
        @media (max-width: 768px) {
            /* Show Hamburger */
            .menu-toggle {
                display: flex;
            }
        @media (max-width: 768px) {
            .hero-image {
                height: 150px; /* Mobile Height */
            }
            
            
            /* Hide Menu initially on mobile */
            .nav-bar ul {
                display: none;
                flex-direction: column;
                width: 100%;
                padding-top: 15px;
                gap: 10px;
            }

            /* Show Menu when 'active' class is added via JS */
            .nav-bar ul.active {
                display: flex;
            }

            .main-body {
                flex-direction: column;
            }
            .sidebar-box {
                width: calc(100% - 40px);
                margin: 10px 20px;
            }
            .footer-menu ul {
                flex-direction: column;
                align-items: flex-end;
                padding-right: 10px;
            }
        }
   
            /* This applies to screens smaller than 768px (Mobile) */
        @media (max-width: 768px) {
            .content {
            display: flex;
            flex-direction: column; /* Stacks items vertically */
        }

        .sidebar-box {
            float: none;          /* Stops the wrapping behavior */
            order: 2;             /* Moves the box to the bottom */
            width: 100%;          /* Makes it full width on mobile */
            margin: 20px 0;       /* Centers the margin */
        }

        .main-text-wrapper {
            order: 1;             /* Keeps the text at the top */
        }
}